' Terasic DE0-Nano Prop2 Emulator Setup
' -------------------------------------
'
' This arrangement is only useful for writing single-cog Prop2 assembly
' language programs, since just one cog eats up 85% of the EP4CE22F17
' FPGA on the DE0-Nano board.
'
' See the DE0_Nano_Hookup.png file for the Prop2 pinout guide.

' Once you program the DE0-Nano board with the DE0_Nano_Prop2.jic file
' (per the DE0_Nano_Programmer.png image), the DE0-Nano board will act
' like a 1-cog Prop2 chip running at 60MHz. You will have 32 I/O pins,
' plus the serial connection. The internal memory map is only 32KB,
' not the whole 128KB, so it wraps at $08000 instead of $20000.
'
' You'll need to power the board by either giving it 5V on the 2-pin
' power connector, or by plugging a USB cable into it.
'
' To communicate with the board, plug a Propeller Plug into the header
' as shown in the DE0_Nano_Hookup.png. Also see DE0_Nano_Picture.jpg.
'
' Once you're powered and plugged in, you can run the ROM monitor by
' hitting <space> via a terminal program, or hit F10 within PNut.exe to
' assemble, download, and run an assembly language program.
'
' The tiny pushbutton labeled 'KEY0' will reset the Prop2. The eight
' LEDs will indicate which cogs are running, even though only one cog
' is actually implemented.
'
' A program should only contain CON and DAT sections. PUB/PRI blocks will
' not be interpreted properly, as the tool is in a state of flux now.
'
' Here is a simple example program:

DAT
		org

		neg	dira,#1		'make the first 32 I/Os outputs
:loop
		mov	count,#100	'increment the pins 100 times
:inc		add	pina,#1
		djnz	count,#:inc

		reps	#100,#1		'now let's do it faster
		nop			'(could do something useful here)
		add	pina,#1
		
		jmp	#:loop		'repeat (watch P0 on an o'scope)


count		res	1
