' Terasic DE2-115 Prop2 Emulator Setup
' ------------------------------------
'
' This arrangement gives you six cogs and a full 128KB hub memory.
'
' See the DE2_115_Prop2_Hookup.png file for the Prop2 pinout guide.
'
' To Program the DE2-115 board, you must place the SW19 slide switch
' in the lower left corner of the board to the PROG position. Power up
' the board and have the USB cable connected, with Quartus running on
' your PC. Go to Tools>Programmer and select 'Active Serial Programming'.
' Load the DE2_115_Prop2.pof file. See the DE2_115_Prop2_Programming.png
' image. When everything is in order, click 'Start' to load the board.
' Afterwards, place SW19 in the RUN position and cycle the power to boot
' it into the Prop2 configuration.
'
' To communicate with the board, plug a Propeller Plug into the header
' as shown in the DE2_115_Hookup.png image.
'
' Once you're powered up and plugged in, you can run the ROM monitor by
' hitting <space> via a terminal program, or hit F10 within PNut.exe to
' assemble, download, and run an assembly language program.
'
' The pushbutton labeled 'KEY3' will reset the Prop2. The eight green
' LEDs will indicate which cogs are running, even though only six cogs
' are actually implemented.
'
' Pushbuttons KEY2..KEY0 are mapped to Propeller pins P52..P50. The 18
' slide switches are mapped to P49..P32. The 18 red LEDs are driven by
' P49..P32 outputs, though the inputs will always read the slide switch
' states.
'
' A program should only contain CON and DAT sections. PUB/PRI blocks will
' not be interpreted properly, as the tool is in a state of flux now.
'
' Here is a simple example program:

DAT
		org

		neg	dira,#1		'make the first 32 I/Os outputs
:loop
		mov	count,#100	'increment the pins 100 times
:inc		add	pina,#1
		djnz	count,#:inc

		reps	#100,#1		'now let's do it faster
		nop			'(could do something useful here)
		add	pina,#1
		
		jmp	#:loop		'repeat (watch P0 on an o'scope)


count		res	1
